Skip to main content
DELETE
/
v6
/
company
/
{id}
Delete company
curl --request DELETE \
  --url https://sandbox.tight.com/v6/company/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "removeIntegrations": true
}
'
{
  "result": "SUCCESS",
  "data": {
    "name": "ACME Corp",
    "owners": [
      {
        "userId": "fake_userId",
        "email": "joe@tight.com",
        "firstName": "Joe",
        "lastName": "Perkins",
        "language": "EN"
      }
    ],
    "id": "co_235823",
    "apiCompanyId": "fake_company_123",
    "entityType": "SOLE_PROPRIETORSHIP",
    "address": {
      "countryCode": "USA",
      "state": "<string>",
      "city": "<string>",
      "zip": "<string>",
      "phoneWork": "<string>",
      "address1": "<string>",
      "address2": "<string>"
    },
    "accountingMethod": "ACCRUAL",
    "businessType": {
      "id": "bzt_123456",
      "name": "Electrician"
    },
    "availableFeatures": {
      "bankTransactions": true,
      "bills": true,
      "bookkeeping": true,
      "imports": true,
      "invoicing": true,
      "payroll": true,
      "reporting": true,
      "taxes": true,
      "timeTracking": true,
      "mileage": true
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.

Path Parameters

id
string
required

The id of the company

Body

application/json
removeIntegrations
boolean

Whether to unsync the user's linked integrations with the respective API after the 30-day account restoration period passes. Defaults to true, which should only be changed if Tight's Partner's app is in charge of unlinking the user's integrations (e.g. if the Partner's app is managing Plaid access on its own).

Example:

true

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.